<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_marginLeft="@dimen/dp_10"
    android:layout_marginRight="@dimen/dp_10"
    android:orientation="vertical">


    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginTop="@dimen/dp_10"
        android:background="@drawable/shape_round_white"
        android:orientation="vertical">

        <TextView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:padding="@dimen/dp_10"
            android:text="@string/other_msg"
            android:textColor="@color/black"
            android:textSize="@dimen/dp_18" />

        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@color/col_f1f" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingRight="@dimen/dp_10">


            <com.xty.common.weight.RequiredTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:drawablePadding="@dimen/dp_10"
                android:ellipsize="end"
                android:paddingLeft="@dimen/dp_10"
                android:paddingTop="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_15"
                android:text="@string/device"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />

            <TextView
                android:id="@+id/mBlueTooth"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:drawableRight="@mipmap/ic_next"
                android:drawablePadding="@dimen/dp_10"
                android:gravity="center|right"
                android:hint="@string/please_connect_device"
                android:paddingTop="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_15"
                android:textColor="@color/col_455"
                android:textSize="@dimen/dp_16" />
        </RelativeLayout>
        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@color/col_f1f" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"

            android:paddingRight="@dimen/dp_10">


            <com.xty.common.weight.RequiredTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:drawablePadding="@dimen/dp_10"
                android:ellipsize="end"
                android:paddingLeft="@dimen/dp_10"
                android:paddingTop="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_15"
                android:singleLine="true"
                android:text="@string/device_code"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />

            <EditText
                android:id="@+id/mDevNum"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@null"
                android:gravity="center|right"
                android:hint="@string/please_input_device_code"
                android:maxLength="20"
                android:paddingTop="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_15"
                android:singleLine="true"
                android:textColor="@color/col_455"
                android:textSize="@dimen/dp_16" />
        </RelativeLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@color/col_f1f" />

        <RelativeLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:paddingRight="@dimen/dp_10">


            <com.xty.common.weight.RequiredTextView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_centerVertical="true"
                android:drawablePadding="@dimen/dp_10"
                android:ellipsize="end"
                android:paddingLeft="@dimen/dp_10"
                android:paddingTop="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_15"
                android:singleLine="true"
                android:text="@string/active_code"
                android:textColor="@color/col_455"
                android:textSize="@dimen/sp_14" />

            <EditText
                android:id="@+id/mActiveCode"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_alignParentRight="true"
                android:layout_centerVertical="true"
                android:background="@null"
                android:gravity="center|right"
                android:hint="@string/please_input_active_code"
                android:paddingTop="@dimen/dp_15"
                android:paddingBottom="@dimen/dp_15"
                android:singleLine="true"
                android:textColor="@color/col_455"
                android:textSize="@dimen/dp_16"

                />
        </RelativeLayout>


        <View
            android:layout_width="match_parent"
            android:layout_height="1dp"
            android:layout_marginLeft="@dimen/dp_10"
            android:layout_marginRight="@dimen/dp_10"
            android:background="@color/col_f1f" />

        <TextView
            android:id="@+id/mPrivate"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_alignParentBottom="true"
            android:layout_centerHorizontal="true"
            android:layout_marginLeft="@dimen/dp_15"
            android:layout_marginTop="@dimen/dp_10"
            android:drawableLeft="@drawable/selctor_check_sel"
            android:drawablePadding="@dimen/dp_10"
            android:gravity="center|left"
            android:text="@string/agree_private_active"
            android:textColorHighlight="@android:color/transparent"
            android:textSize="@dimen/dp_20" />


        <TextView
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:layout_marginLeft="@dimen/dp_20"
            android:layout_marginTop="@dimen/dp_10"
            android:text="@string/sign"
            android:textColor="@color/col_455"
            android:textSize="@dimen/dp_18" />

        <androidx.cardview.widget.CardView
            android:id="@+id/mSign"
            android:layout_width="match_parent"
            android:layout_height="@dimen/dp_120"
            android:layout_margin="@dimen/dp_10"
            app:cardBackgroundColor="@color/col_f4f"
            app:cardCornerRadius="@dimen/dp_10"
            app:cardElevation="0dp">

            <TextView
                android:layout_width="match_parent"
                android:layout_height="match_parent"
                android:text="@string/confirm_sign"
                android:textSize="@dimen/dp_14"
                android:textColor="@color/col_B8B"
                android:gravity="center"/>


            <ImageView
                android:id="@+id/mImageSign"
                android:layout_width="match_parent"
                android:layout_height="match_parent" />
        </androidx.cardview.widget.CardView>


<!--        <TextView-->
<!--            android:id="@+id/mSign"-->
<!--            android:layout_width="wrap_content"-->
<!--            android:layout_height="wrap_content"-->
<!--            android:layout_gravity="right"-->
<!--            android:layout_margin="@dimen/dp_15"-->
<!--            android:background="@drawable/shape_btn_select_bg"-->
<!--            android:paddingLeft="@dimen/dp_15"-->
<!--            android:paddingTop="@dimen/dp_5"-->
<!--            android:paddingRight="@dimen/dp_15"-->
<!--            android:paddingBottom="@dimen/dp_5"-->
<!--            android:text="签名"-->
<!--            android:textColor="@color/white"-->
<!--            android:textSize="@dimen/dp_16" />-->

    </LinearLayout>

</LinearLayout>